# Update_Job

Update a job.

`PUT /v2/jobs/{id}`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Jobs
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Jobs/Update_Job/

## Description

Update a jobs details.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access a client ID, it is available from Company Settings -> Company Details -> Company ID |
| `id` | integer | path | Yes | The id of the job object |

## Request Body

**Schema:** `Job`

Job Model

| Property | Type | Required | Description |
|---|---|---|---|
| `exposure_zone` | object | No | CertCaptures exposure zone model |
| `job_number` | string | No | Customer provided job number. Example: `1212`. |
| `name` | string | No | The name of the job. Example: `Rufus - Patio Build`. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `JobResource` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `JobResource`

CertCapture job resource

| Property | Type | Required | Description |
|---|---|---|---|
| `data` | JobResponse[] | No | Data wrapper |

## Example Request

```bash
curl -X PUT "https://sbx-api.certcapture.com/v2/v2/jobs/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
  "job_number": "1212",
  "name": "Rufus - Patio Build"
}'
```